View Issue Details

IDProjectCategoryView StatusLast Update
0004686GNUnetcadet servicepublic2018-06-07 00:24
Reporterch3Assigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004686: Assertion failed at cadet_api.c:552
DescriptionProgram terminated with signal SIGABRT, Aborted.
#0 0x0000000006cd504f in raise () from /usr/lib/libc.so.6
(gdb) bt
#0 0x0000000006cd504f in raise () from /usr/lib/libc.so.6
#1 0x0000000006cd647a in abort () from /usr/lib/libc.so.6
#2 0x00000000050525f7 in GNUNET_abort_ () at common_logging.c:293
#3 0x00000000052cda0a in request_data (cls=0x7476f90) at cadet_api.c:552
#4 0x0000000005093078 in run_ready (rs=0x72fac60, ws=0x72fad30) at scheduler.c:620
#5 0x00000000050939c3 in GNUNET_SCHEDULER_run (task=0x50a369a <service_main>, task_cls=0xfff000020)
    at scheduler.c:887
#6 0x00000000050a809f in GNUNET_SERVICE_ruN_ (argc=3, argv=0xfff0003d8, service_name=0x413c87 "rps",
    options=GNUNET_SERVICE_OPTION_NONE, service_init_cb=0x4117de <run>,
    connect_cb=0x41147e <client_connect_cb>, disconnect_cb=0x4116f0 <client_disconnect_cb>, cls=0x0,
    handlers=0xfff0001b0) at service_new.c:1700
#7 0x0000000000412195 in main (argc=3, argv=0xfff0003d8) at gnunet-service-rps.c:2413
Steps To Reproducerun rps tests (src/rps/test_rps_* or cd src/rps/ && make check)
Additional Information==3824== Invalid read of size 4
==3824== at 0x52CD969: request_data (cadet_api.c:552)
==3824== by 0x5093077: run_ready (scheduler.c:620)
==3824== by 0x50939C2: GNUNET_SCHEDULER_run (scheduler.c:887)
==3824== by 0x50A809E: GNUNET_SERVICE_ruN_ (service_new.c:1700)
==3824== by 0x412194: main (gnunet-service-rps.c:2413)
==3824== Address 0x7455550 is 64 bytes inside a block of size 72 free'd
==3824== at 0x4C2AD90: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==3824== by 0x5051BCE: GNUNET_xfree_ (common_allocation.c:321)
==3824== by 0x52CD3E8: destroy_channel (cadet_api.c:468)
==3824== by 0x52D143B: GNUNET_CADET_channel_destroy (cadet_api.c:1596)
==3824== by 0x4085D2: Peers_destroy_sending_channel (gnunet-service-rps_peers.c:1486)
==3824== by 0x40BA64: clean_peer (gnunet-service-rps.c:808)
==3824== by 0x4105FC: do_round (gnunet-service-rps.c:1989)
==3824== by 0x5093077: run_ready (scheduler.c:620)
==3824== by 0x50939C2: GNUNET_SCHEDULER_run (scheduler.c:887)
==3824== by 0x50A809E: GNUNET_SERVICE_ruN_ (service_new.c:1700)
==3824== by 0x412194: main (gnunet-service-rps.c:2413)
==3824== Block was alloc'd at
==3824== at 0x4C29BBE: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==3824== by 0x50518AA: GNUNET_xmalloc_unchecked_ (common_allocation.c:219)
==3824== by 0x5051256: GNUNET_xmalloc_ (common_allocation.c:75)
==3824== by 0x52CCC74: create_channel (cadet_api.c:392)
==3824== by 0x52D0D4D: GNUNET_CADET_channel_create (cadet_api.c:1541)
==3824== by 0x40608C: get_channel (gnunet-service-rps_peers.c:525)
==3824== by 0x406171: get_mq (gnunet-service-rps_peers.c:554)
==3824== by 0x40637F: check_peer_live (gnunet-service-rps_peers.c:603)
==3824== by 0x407B74: Peers_issue_peer_liveliness_check (gnunet-service-rps_peers.c:1069)
==3824== by 0x40B835: got_peer (gnunet-service-rps.c:735)
==3824== by 0x410C9C: process_peerinfo_peers (gnunet-service-rps.c:2116)
==3824== by 0x54D8E7D: handle_notification (peerinfo_api_notify.c:167)
==3824==
==3824==
==3824== Process terminating with default action of signal 6 (SIGABRT): dumping core
==3824== at 0x6CD504F: raise (in /usr/lib/libc-2.24.so)
==3824== by 0x6CD6479: abort (in /usr/lib/libc-2.24.so)
==3824== by 0x50525F6: GNUNET_abort_ (common_logging.c:293)
==3824== by 0x52CDA09: request_data (cadet_api.c:552)
==3824== by 0x5093077: run_ready (scheduler.c:620)
==3824== by 0x50939C2: GNUNET_SCHEDULER_run (scheduler.c:887)
==3824== by 0x50A809E: GNUNET_SERVICE_ruN_ (service_new.c:1700)
==3824== by 0x412194: main (gnunet-service-rps.c:2413)





(gdb) bt f
#0 0x0000000006cd504f in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x0000000006cd647a in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00000000050525f7 in GNUNET_abort_ () at common_logging.c:293
No locals.
#3 0x00000000052cda0a in request_data (cls=0x7476f90) at cadet_api.c:552
        th = 0x7476f90
        msg = 0x74839d8
        env = 0xb
        osize = 122121504
        __FUNCTION__ = "request_data"
#4 0x0000000005093078 in run_ready (rs=0x72fac60, ws=0x72fad30) at scheduler.c:620
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x7477010
        __FUNCTION__ = "run_ready"
#5 0x00000000050939c3 in GNUNET_SCHEDULER_run (task=0x50a369a <service_main>, task_cls=0xfff000020) at scheduler.c:887
        rs = 0x72fac60
        ws = 0x72fad30
        timeout = {rel_value_us = 0}
        ret = 2
        shc_int = 0x72fb960
        shc_term = 0x72fba60
        shc_quit = 0x72fbc60
        shc_hup = 0x72fbd60
        shc_pipe = 0x72fbb60
        last_tr = 126
        busy_wait_warning = 0
        pr = 0x72fae50
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#6 0x00000000050a809f in GNUNET_SERVICE_ruN_ (argc=3, argv=0xfff0003d8, service_name=0x413c87 "rps", options=GNUNET_SERVICE_OPTION_NONE, service_init_cb=0x4117de <run>, connect_cb=0x41147e <client_connect_cb>,
    disconnect_cb=0x4116f0 <client_disconnect_cb>, cls=0x0, handlers=0xfff0001b0) at service_new.c:1700
        sh = {cfg = 0x7244fd0, service_name = 0x413c87 "rps", service_init_cb = 0x4117de <run>, connect_cb = 0x41147e <client_connect_cb>, disconnect_cb = 0x4116f0 <client_disconnect_cb>, cb_cls = 0x0,
          slc_head = 0x72fa870, slc_tail = 0x72fa870, clients_head = 0x74559b0, clients_tail = 0x74559b0, handlers = 0xfff0001b0, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x72faab0,
          v6_allowed = 0x72fabd0, match_uid = 0, match_gid = 1, got_shutdown = 0, options = GNUNET_SERVICE_OPTION_NONE, ready_confirm_fd = -1, ret = 0, require_found = 1}
        cfg_filename = 0x7244f70 "~/.config/gnunet.conf"
        opt_cfg_filename = 0x7245190 "/tmp/testbedPyl81T/2/config"
        loglev = 0x0
        xdg = 0x0
        logfile = 0x0
        do_daemonize = 0
        skew_offset = 44349769
        skew_variance = 2838385273
        clock_offset = 3
        cfg = 0x7244fd0
        ret = 3
        err = 0
        service_options = {{shortName = 99 'c', name = 0x50baa37 "config", argumentHelp = 0x50baa3e "FILENAME", description = 0x50baa48 "use configuration file FILENAME", require_argument = 1,
            processor = 0x507c9f3 <GNUNET_GETOPT_set_string>, scls = 0xfff000010}, {shortName = 100 'd', name = 0x50baa68 "daemonize", argumentHelp = 0x0,
            description = 0x50baa78 "do daemonize (detach from terminal)", require_argument = 0, processor = 0x507c9c6 <GNUNET_GETOPT_set_one>, scls = 0xffefffffc}, {shortName = 104 'h',
            name = 0x50baa9c "help", argumentHelp = 0x0, description = 0x50baaa1 "print this help", require_argument = 0, processor = 0x507c44a <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L',
            name = 0x50baab1 "log", argumentHelp = 0x50baab5 "LOGLEVEL", description = 0x50baac0 "configure logging to use LOGLEVEL", require_argument = 1, processor = 0x507c9f3 <GNUNET_GETOPT_set_string>,
            scls = 0xfff000008}, {shortName = 108 'l', name = 0x50baae2 "logfile", argumentHelp = 0x50baaea "LOGFILE", description = 0x50baaf8 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x507c9f3 <GNUNET_GETOPT_set_string>, scls = 0xfff000000}, {shortName = 118 'v', name = 0x50bab23 "version", argumentHelp = 0x0, description = 0x50bab2b "print the version number",
            require_argument = 0, processor = 0x507c404 <GNUNET_GETOPT_print_version_>, scls = 0x50bab44}, {shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_ruN_"
---Type <return> to continue, or q <return> to quit---
#7 0x0000000000412195 in main (argc=3, argv=0xfff0003d8) at gnunet-service-rps.c:2413
        mh = {{mv = 0x0, cb = 0x40cb10 <handle_client_request>, cls = 0x0, type = 954, expected_size = 12}, {mv = 0x0, cb = 0x40cf17 <handle_client_request_cancel>, cls = 0x0, type = 956, expected_size = 8}, {
            mv = 0x0, cb = 0x40d1fb <handle_client_seed>, cls = 0x0, type = 957, expected_size = 4}, {mv = 0x0, cb = 0x40e8ad <handle_client_act_malicious>, cls = 0x0, type = 958, expected_size = 4}, {mv = 0x0,
            cb = 0x0, cls = 0x0, type = 0, expected_size = 0}}
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:26

manager   ~0011806

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2016-09-27 12:48 ch3 New Issue
2016-09-27 12:48 ch3 Status new => assigned
2016-09-27 12:48 ch3 Assigned To => Bart Polot
2017-02-21 18:26 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:26 Christian Grothoff Status assigned => resolved
2017-02-21 18:26 Christian Grothoff Resolution open => fixed
2017-02-21 18:26 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:26 Christian Grothoff Note Added: 0011806
2017-02-21 18:26 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed